Swiftpack.co - Package -

Note: Oak is no longer under active development. If you would like to continue using Oak, you may fork this project or try Oak.js.

Oak

SwiftPM compatible Swift Version 3.1 License: MPL 2.0

The hackable, extensible, pure Swift instruction set simulator for Unix (assembly included).

Supports a limited subset of MIPS and RISC-V.

Requirements

Swift 3.1 or Swift 4.0 on either macOS or Linux.

Usage

Unix

To build and test:

    make
    make install
    oak <your-file-here>

macOS (Xcode)

Open your terminal, type:

    swift package generate-xcodeproj

...and use the generated Xcode project file. It's gitignored though, as Xcode projects are not as flexible as the Swift Package Manager.

License

Mozilla Public License 2.0. Check LICENSE.

Github

link
Stars:
Help us keep the lights on

Dependencies

Used By

Total: 0